%define name kdepic
%define version 1.0
%define release bren1
%define summary PIC plugin for KDE (and Qt)
%define library %{_libdir}/kde3/kimg_pic.so
%define kimgio %{_datadir}/services/pic.kimgio
%define mimetype %{_datadir}/mimelnk/image/x-pic.desktop

Name: %{name} 
Summary: %{summary}
Version: %{version} 
Release: %{release} 
Source: file://disks/david/devel/releases/%{name}/%{version}/%{name}-%{version}.tgz
URL: http://www.bren.es
Group: Applications/Multimedia 
BuildRoot: %{_tmppath}/%{name}-buildroot 
License: Bren 
Requires: qt

%description
${summary}

%prep 
rm -rf $RPM_BUILD_ROOT 
%setup

%build 
make -j 2

%install 
%makeinstall
rm $RPM_BUILD_ROOT/usr/lib/kde3/.sconsign
rm $RPM_BUILD_ROOT/usr/share/services/.sconsign
rm $RPM_BUILD_ROOT/usr/share/mimelnk/image/.sconsign

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README
%{library}
%{kimgio}
%{mimetype}

%changelog 
* Fri May 18 2007 Ruben Lopez <r.lopez@bren.es> 1.0.0
- First RPM version
