/*
 * KDEPIC - KDE PIC Support
 * Copyright (C) 2007 Bren Entertainment
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * ----------------------------------------------------------------------------
 */


#ifndef __KFILE_PIC_H__
#define __KFILE_PIC_H__

#include <kfilemetainfo.h>

class QStringList;

class KPicPlugin : public KFilePlugin
{
	Q_OBJECT

public:
	KPicPlugin(QObject *parent, const char *name, const QStringList& args);
	virtual bool readInfo(KFileMetaInfo& info, uint what);
	virtual bool writeInfo(const KFileMetaInfo& info) const;

};

#endif
